Bug 231312 - [NEW PORT] x11-fonts/courier-prime: Add the Courier Prime font
Summary: [NEW PORT] x11-fonts/courier-prime: Add the Courier Prime font
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL: https://quoteunquoteapps.com/courierp...
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-11 20:11 UTC by Florian Limberger
Modified: 2019-01-27 22:01 UTC (History)
1 user (show)

See Also:


Attachments
Patch to add the courier-prime font (3.66 KB, patch)
2018-09-11 20:11 UTC, Florian Limberger
no flags Details | Diff
Patch to add the courier-prime font (3.59 KB, patch)
2018-11-01 11:46 UTC, Florian Limberger
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Limberger 2018-09-11 20:11:05 UTC
Created attachment 197033 [details]
Patch to add the courier-prime font

Since the beginning, screenplays have been written in Courier. Its uniformity allows filmmakers to make handy comparisons and estimates, such as 1 page = 1 minute of screen time.
But there’s no reason Courier has to look terrible. We set out to make the best damn Courier ever.
We call it Courier Prime.
Comment 1 Florian Limberger 2018-11-01 11:46:45 UTC
Created attachment 198842 [details]
Patch to add the courier-prime font

Make portlint mostly happy.

I don't understand why it is bothered by the hyphen in PORTNAME when it happily accepted league-gothic, league-spartan and linden-hill as PORTNAMEs.
Comment 2 commit-hook freebsd_committer 2019-01-27 19:32:37 UTC
A commit references this bug:

Author: swills
Date: Sun Jan 27 19:32:29 UTC 2019
New revision: 491380
URL: https://svnweb.freebsd.org/changeset/ports/491380

Log:
  x11-fonts/courier-prime: create port

  Since the beginning, screenplays have been written in Courier. Its uniformity
  allows filmmakers to make handy comparisons and estimates, such as 1 page = 1
  minute of screen time. But there's no reason Courier has to look terrible. We
  set out to make the best damn Courier ever. We call it Courier Prime.

  WWW: https://quoteunquoteapps.com/courierprime

  PR:		231312
  Submitted by:	Florian Limberger <flo@snakeoilproductions.net>

Changes:
  head/x11-fonts/Makefile
  head/x11-fonts/courier-prime/
  head/x11-fonts/courier-prime/Makefile
  head/x11-fonts/courier-prime/distinfo
  head/x11-fonts/courier-prime/pkg-descr
  head/x11-fonts/courier-prime/pkg-plist
Comment 3 Steve Wills freebsd_committer 2019-01-27 19:33:32 UTC
Committed, thanks for the patch, sorry it took so long to commit.